From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-base/libxfce4windowing/
Date: Mon, 7 Oct 2024 12:59:22 +0000 (UTC) [thread overview]
Message-ID: <1728305955.95d8e35e28e9213ff4753b25970417267c1b2eed.mgorny@gentoo> (raw)
commit: 95d8e35e28e9213ff4753b25970417267c1b2eed
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 7 12:40:51 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 7 12:59:15 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95d8e35e
xfce-base/libxfce4windowing: Bump to 4.19.6
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
xfce-base/libxfce4windowing/Manifest | 1 +
.../libxfce4windowing-4.19.6.ebuild | 60 ++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/xfce-base/libxfce4windowing/Manifest b/xfce-base/libxfce4windowing/Manifest
index d4d2c8caed88..352263063043 100644
--- a/xfce-base/libxfce4windowing/Manifest
+++ b/xfce-base/libxfce4windowing/Manifest
@@ -2,3 +2,4 @@ DIST libxfce4windowing-4.19.1.tar.bz2 452748 BLAKE2B 0fbf8ec5bb1d1857dfbe2851ef2
DIST libxfce4windowing-4.19.3.tar.bz2 535825 BLAKE2B cb97589e213e4d07f05c6665399459f2f453a9519483606c5a5e3bd901bebbc361ae044f22596bca86c7aa8e0b23b585b7a41f0170d458d597f07b0a03e08edd SHA512 848b7aeeebdd630c27bac242b5a59d25409b2e8f22d2d8dc95fbfe45357e4f3374e36c151792ddc061b4dcf5d1fdf31f47e76c75b7167b244ae198b0a3b4bca0
DIST libxfce4windowing-4.19.4.tar.bz2 552299 BLAKE2B 7b7184f6a7dee46c8d27fc727b07e7214842c71a3519508cacf9e716db723221b7ddb75d5455d735429589bd9e8b0b9a0ca2ef7a6b34fce7db44900b4a4056e0 SHA512 937b2cd85389faa7a388e6512bae91083ffb93fa5390bfb7cb83ab1fedc7da2d5fef1d848920c4cd22a6e246cee09a9cef88f1acb7d608593d310c659e1a5e2c
DIST libxfce4windowing-4.19.5.tar.bz2 561827 BLAKE2B 8d0af54f089e077e8f6b73b073ae9a8958921e54ff7fc20a721f3a6dcbf74af31d9afcc437e26ba1ec0393d471843b413e2682835fa0d29c084536dc8d8eb515 SHA512 ed86b9df2bb0262d54fa6a8953866949ec7ef1edfcfe645539f9fd24798970874ce3eb6a76692a4730b457beabf5b0e27261630cb658a47042bafd0cafcab151
+DIST libxfce4windowing-4.19.6.tar.bz2 562883 BLAKE2B 221ba6d5da375092981dfbe57944d0e81c8ee242e62fe962cd69653b29f4aad3c620f46aab0200e322d451d435d4e49d6d3279a0df82c7fa6a7761ccbf7e0f67 SHA512 b4347a3cf34dfc397681f72ac065437173fbefac08b482cf62b40b009c382ea547ed668229f3868b6e7ad902637078c5e07c67918a25a5b6da04a1c3fce91a12
diff --git a/xfce-base/libxfce4windowing/libxfce4windowing-4.19.6.ebuild b/xfce-base/libxfce4windowing/libxfce4windowing-4.19.6.ebuild
new file mode 100644
index 000000000000..6ed3c754abc8
--- /dev/null
+++ b/xfce-base/libxfce4windowing/libxfce4windowing-4.19.6.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Unified widget and session management libs for Xfce"
+HOMEPAGE="https://gitlab.xfce.org/xfce/libxfce4windowing/"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1+"
+SLOT="0/4.19.6"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="+introspection wayland X"
+REQUIRED_USE="|| ( wayland X )"
+
+RDEPEND="
+ >=dev-libs/glib-2.72.0
+ >=x11-libs/gtk+-3.24.10:3[X?,introspection?,wayland?]
+ >=x11-libs/gdk-pixbuf-2.42.8[introspection?]
+ wayland? (
+ >=dev-libs/wayland-1.20
+ )
+ X? (
+ >=media-libs/libdisplay-info-0.1.1
+ >=x11-libs/libX11-1.6.7
+ >=x11-libs/libXrandr-1.5.0
+ >=x11-libs/libwnck-3.14:3
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ wayland? (
+ >=dev-libs/wayland-protocols-1.25
+ )
+"
+BDEPEND="
+ >=dev-build/xfce4-dev-tools-4.19.2
+ dev-lang/perl
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ wayland? (
+ >=dev-util/wayland-scanner-1.15
+ )
+"
+
+src_configure() {
+ local myconf=(
+ $(use_enable introspection)
+ $(use_enable wayland)
+ $(use_enable X x11)
+ # these are not used by make check
+ --disable-tests
+ )
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
next reply other threads:[~2024-10-07 12:59 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-10-07 12:59 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-13 0:29 [gentoo-commits] repo/gentoo:master commit in: xfce-base/libxfce4windowing/ Sam James
2025-03-13 0:29 Sam James
2025-03-13 0:29 Sam James
2025-03-13 0:29 Sam James
2025-03-13 0:29 Sam James
2025-02-02 19:40 Michał Górny
2025-02-02 18:25 Michał Górny
2025-01-25 14:33 Sam James
2025-01-25 12:25 Arthur Zamarin
2025-01-25 12:06 Sam James
2025-01-25 12:06 Sam James
2025-01-25 11:06 Arthur Zamarin
2024-12-28 13:26 Arthur Zamarin
2024-12-28 10:54 Arthur Zamarin
2024-12-28 10:49 Arthur Zamarin
2024-12-21 10:35 Michał Górny
2024-12-15 18:38 Michał Górny
2024-12-01 14:49 Michał Górny
2024-12-01 14:49 Michał Górny
2024-11-01 15:23 Michał Górny
2024-10-23 6:16 Michał Górny
2024-10-23 6:16 Michał Górny
2024-10-09 19:03 Michał Górny
2024-10-05 14:52 Michał Górny
2024-10-05 4:58 Michał Górny
2024-10-03 13:27 Michał Górny
2024-08-24 5:52 Michał Górny
2024-02-29 11:37 Michał Górny
2023-12-30 1:26 Ionen Wolkens
2023-12-22 5:14 Ionen Wolkens
2023-04-14 20:50 Sam James
2023-02-24 17:12 Arthur Zamarin
2023-01-25 15:50 WANG Xuerui
2023-01-14 10:00 Arthur Zamarin
2023-01-13 14:19 Arthur Zamarin
2023-01-13 11:51 Arthur Zamarin
2023-01-11 14:52 Michał Górny
2023-01-11 8:55 Joonas Niilola
2023-01-11 6:29 Joonas Niilola
2023-01-10 20:28 Michał Górny
2023-01-10 20:28 Michał Górny
2023-01-10 6:21 Michał Górny
2023-01-03 6:52 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1728305955.95d8e35e28e9213ff4753b25970417267c1b2eed.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox